﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCRIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCRIC_POINTDETAIL', 'T_OCRIC_POINTDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_POINTDETAIL_PAID') CREATE INDEX IDX_OCRIC_POINTDETAIL_PAID ON T_OCRIC_POINTDETAIL ( FPOINTACCOUNTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_POINTDETAIL_TTIME') CREATE INDEX IDX_OCRIC_POINTDETAIL_TTIME ON T_OCRIC_POINTDETAIL ( FTRANSACTIONTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_POINTDETAIL_CTIME') CREATE INDEX IDX_OCRIC_POINTDETAIL_CTIME ON T_OCRIC_POINTDETAIL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_OCRIC_POINTSAVING', 'T_OCRIC_POINTSAVING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_POINTSAVING_PAID') CREATE INDEX IDX_OCRIC_POINTSAVING_PAID ON T_OCRIC_POINTSAVING ( FPOINTACCOUNTID );


 EXEC P_ALTERPK 'PK_OCRIC_ADJUSTPOINT', 'T_OCRIC_ADJUSTPOINT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_ADJUSTPOINT_BNO') CREATE INDEX IDX_OCRIC_ADJUSTPOINT_BNO ON T_OCRIC_ADJUSTPOINT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_ADJUSTPOINT_MID') CREATE INDEX IDX_OCRIC_ADJUSTPOINT_MID ON T_OCRIC_ADJUSTPOINT ( FMEMBERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_ADJUSTPOINT_TTIME') CREATE INDEX IDX_OCRIC_ADJUSTPOINT_TTIME ON T_OCRIC_ADJUSTPOINT ( FTRANSACTIONTIME );


 EXEC P_ALTERPK 'PK_OCRIC_GIVEPOINT', 'T_OCRIC_GIVEPOINT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_GIVEPOINT_BNO') CREATE INDEX IDX_OCRIC_GIVEPOINT_BNO ON T_OCRIC_GIVEPOINT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_GIVEPOINT_MID') CREATE INDEX IDX_OCRIC_GIVEPOINT_MID ON T_OCRIC_GIVEPOINT ( FMEMBERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_GIVEPOINT_TTIME') CREATE INDEX IDX_OCRIC_GIVEPOINT_TTIME ON T_OCRIC_GIVEPOINT ( FTRANSACTIONTIME );


 EXEC P_ALTERPK 'PK_OCRIC_GIVEPOINTENTITY', 'T_OCRIC_GIVEPOINTENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_GIVEPOINTENTITY_FID') CREATE INDEX IDX_OCRIC_GIVEPOINTENTITY_FID ON T_OCRIC_GIVEPOINTENTITY ( FID );


 EXEC P_ALTERPK 'PK_OCRIC_AVLPOINTBATCH', 'T_OCRIC_AVLPOINTBATCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_AVLPOINTBATCH_PAID') CREATE INDEX IDX_OCRIC_AVLPOINTBATCH_PAID ON T_OCRIC_AVLPOINTBATCH ( FPOINTACCOUNTID );


 EXEC P_ALTERPK 'PK_OCRIC_POINTBATCHDETAIL', 'T_OCRIC_POINTBATCHDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCRIC_POINTBATCHDETAIL_FID') CREATE INDEX IDX_OCRIC_POINTBATCHDETAIL_FID ON T_OCRIC_POINTBATCHDETAIL ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCRIC_constraint.sql **/
