﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCRIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_POINTDETAIL') 
 CREATE TABLE T_OCRIC_POINTDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPOINTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPOINTBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGESIGN CHAR(1) DEFAULT 'A' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FEXPIRATIONDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_POINTSAVING') 
 CREATE TABLE T_OCRIC_POINTSAVING (
FID BIGINT DEFAULT 0 NOT NULL,
FPOINTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFROZENQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_ADJUSTPOINT') 
 CREATE TABLE T_OCRIC_ADJUSTPOINT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FADJUSTTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTREASONID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FITEMTYPEID BIGINT DEFAULT 0 NOT NULL,
FITEMBRANDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_GIVEPOINT') 
 CREATE TABLE T_OCRIC_GIVEPOINT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FPOINTREWARDID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTIME DATETIME,
FISRULE CHAR(1) DEFAULT '0' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_GIVEPOINTENTITY') 
 CREATE TABLE T_OCRIC_GIVEPOINTENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_AVLPOINTBATCH') 
 CREATE TABLE T_OCRIC_AVLPOINTBATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FPOINTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIRATIONDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCRIC_POINTBATCHDETAIL') 
 CREATE TABLE T_OCRIC_POINTBATCHDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPOINTBATCHID BIGINT DEFAULT 0 NOT NULL,
FUSEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCRIC_table.sql **/
